<div class="jumbotron">
  <h4>Reserva(s) esperando aprovação</h4>
  <div class="row">
    <div class="col-lg-12 mt-2" *ngFor="let book of bookings;">
      <div class="booking-request">
        <p><strong>{{ book.name }}</strong></p>
        <p><strong>Status: </strong> {{ book.status ? 'Pendente' : 'Rejeitada' }}</p>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div *ngIf="!possuiReserva; else elseBlock">
    <h4>Você não possui reservas!</h4>
  </div>
  <div class="col-sm-4 mt-4" *ngFor="let book of activedBookings;" #elseBlock>
      <ng-template [ngIf]="book.status">
          <mat-card>
              <mat-card-header>
                  <mat-card-subtitle>{{book.name}}</mat-card-subtitle>
                  <div class="fill">
                      <div mat-card-avatar>
                          <i class="fas fa-key fa-lg"></i>
                      </div>
                  </div>
              </mat-card-header>
              <mat-card-content>
                  <div *ngIf="isCheckOut; else elseBlock">
                    <p><i class="fas fa-calendar-minus"></i> {{book.check_in}} a {{book.check_out}}</p>
                  </div>
                  <ng-template #elseBlock>
                    <p><i class="fas fa-calendar-minus"></i> {{book.check_in}}</p>
                  </ng-template>
                  <p><i class="fas fa-map-marker-alt"></i> {{book.city}}-{{book.state}}</p>
                  <p><i class="fas fa-address-card"></i> {{book.address}}</p>
                  <p>Situação: {{book.status}}</p>
              </mat-card-content>
              <div class="text-center">
                  <mat-card-actions>
                      <button mat-button class="btn-danger" [routerLink]="['/booking',book.id]">Detalhar</button>
                  </mat-card-actions>
              </div>
          </mat-card>
      </ng-template>
  </div>
</div>
